Module java.xml.bind
Package javax.xml.bind.annotation

## Annotation Type XmlNs

-     @Retention(RUNTIME)
      @Target({})
      public @interface XmlNs

  Associates a namespace prefix with a XML namespace URI.

  Usage

  `@XmlNs` annotation is intended for use from other program annotations.

  See "Package Specification" in javax.xml.bind.package javadoc for additional common information.

  Example:See `XmlSchema` annotation type for an example.

  Since:
    1.6, JAXB 2.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `String` | `namespaceURI` | Namespace URI
    `String` | `prefix` | Namespace prefix

- - ### Element Detail

    - #### prefix

          String prefix

      Namespace prefix

  - - #### namespaceURI

          String namespaceURI

      Namespace URI